### Property

# Gio DataOutputStream:byte-order

#### Declaration

    property byte-order: Gio.DataStreamByteOrder [ read, write ]

#### Description [src]

Determines the byte ordering that is used when writing multi-byte entities (such as integers) to the stream.

Type:`GDataStreamByteOrder`

Default value | G_DATA_STREAM_BYTE_ORDER_BIG_ENDIAN
Getter method | `g_data_output_stream_get_byte_order()`
Setter method | `g_data_output_stream_set_byte_order()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no